[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: running emacspeak 9.0



> /usr/bin/emacspeak: [: !=: unary operator expected
> shift: shift count must be <= $#
> emacs: Option `-l' requires an argument

oops, a problem in the logic in the emacspeak script. this is my
fault--i start emacspeak from my ~/.emacs and so that script went untested.

you might try one of the following:

1: start emacspeak from your ~/.emacs file

2: change the "if" statement and the exec command following it in
/usr/bin/emacspeak to something like:

if [ -n "$1" ] ; then
if [ x$1 != "x-q" ] ; then INITFILE="-l $HOME/.emacs" ; else shift ; fi
fi
exec emacs -q -l /usr/share/emacs/site-lisp/emacspeak/emacspeak-setup.el $INITFILE$*

let me know if that does it for you...

-----------------------------------------------------------------------------
       To unsubscribe or change your address send mail to
"emacspeak-request@cs.vassar.edu" with a subject of "unsubscribe" or "help"


Emacspeak Files | Subscribe | Unsubscribe